GET api/{database}/Account/{fiscalYear}/{accountId}

No Documentation Found.



Request Information

Parameters

NameDescriptionAdditional information
fiscalYear No Documentation Found.

Define this parameter in the request URI.

accountId No Documentation Found.

Define this parameter in the request URI.

Response Information

Response body formats

application/json, text/json

Sample:
{
  "accountBookingPreference": 0,
  "accountCategory1": "sample string 1",
  "accountCategory2": "sample string 2",
  "accountCategory3": "sample string 3",
  "accountId": "sample string 4",
  "accountIsInUse": true,
  "canChangeDirectBooking": true,
  "accountRestrictionType": 0,
  "accountType": 0,
  "messages": [],
  "audition": "sample string 7",
  "auditionDescription": "sample string 8",
  "budgetType": 0,
  "canChange": true,
  "cannotChangeReason": "sample string 10",
  "commissionCardType": 0,
  "currentBalance": 11.0,
  "currentTotalCredit": 12.0,
  "currentTotalDebit": 13.0,
  "defaultCostCentreId": "sample string 14",
  "defaultCostUnitId": "sample string 15",
  "description": "sample string 16",
  "fiscalYear": 17,
  "fixedAssetAccountType": 0,
  "hints": "sample string 18",
  "isBlocked": true,
  "isCashDiscount": true,
  "isClient": true,
  "isCondensed": true,
  "isFixedAssetAccount": true,
  "isInterCompanyAccount": true,
  "isProjectAccount": true,
  "isWkrAccount": true,
  "lineNumber": 27,
  "notDeductiblePercentage": 28.0,
  "notDeductibleVatPercentage": 29.0,
  "pageNumber": 30,
  "shortName": "sample string 31",
  "specifyCostCentre": true,
  "specifyCostUnit": true,
  "specifySubAdmin": true,
  "startBalance": 35.0,
  "subAdmin1": "sample string 36",
  "subAdmin2": "sample string 37",
  "subAdmin3": "sample string 38",
  "subTotalLevel": 39,
  "vatBookType": 0,
  "vatCodeId": 1,
  "vatScenarioId": 1,
  "vatType": 0
}

application/xml, text/xml

Sample:
<Account xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/UNIT4.Multivers.API.BL.Financial.Edit">
  <AccountBookingPreference>None</AccountBookingPreference>
  <AccountCategory1>sample string 1</AccountCategory1>
  <AccountCategory2>sample string 2</AccountCategory2>
  <AccountCategory3>sample string 3</AccountCategory3>
  <AccountId>sample string 4</AccountId>
  <AccountIsInUse>true</AccountIsInUse>
  <AccountRestrictionType>AllEditable</AccountRestrictionType>
  <AccountType>Unknown</AccountType>
  <Audition>sample string 7</Audition>
  <AuditionDescription>sample string 8</AuditionDescription>
  <BudgetType>None</BudgetType>
  <CanChange>true</CanChange>
  <CanChangeDirectBooking>true</CanChangeDirectBooking>
  <CannotChangeReason>sample string 10</CannotChangeReason>
  <CommissionCardType>Default</CommissionCardType>
  <CurrentBalance>11</CurrentBalance>
  <CurrentTotalCredit>12</CurrentTotalCredit>
  <CurrentTotalDebit>13</CurrentTotalDebit>
  <DefaultCostCentreId>sample string 14</DefaultCostCentreId>
  <DefaultCostUnitId>sample string 15</DefaultCostUnitId>
  <Description>sample string 16</Description>
  <FiscalYear>17</FiscalYear>
  <FixedAssetAccountType>None</FixedAssetAccountType>
  <Hints>sample string 18</Hints>
  <IsBlocked>true</IsBlocked>
  <IsCashDiscount>true</IsCashDiscount>
  <IsClient>true</IsClient>
  <IsCondensed>true</IsCondensed>
  <IsFixedAssetAccount>true</IsFixedAssetAccount>
  <IsInterCompanyAccount>true</IsInterCompanyAccount>
  <IsProjectAccount>true</IsProjectAccount>
  <IsWkrAccount>true</IsWkrAccount>
  <LineNumber>27</LineNumber>
  <Messages xmlns:d2p1="http://schemas.datacontract.org/2004/07/UNIT4.Multivers.API.Web.WebApi.Core.Models" />
  <NotDeductiblePercentage>28</NotDeductiblePercentage>
  <NotDeductibleVatPercentage>29</NotDeductibleVatPercentage>
  <PageNumber>30</PageNumber>
  <ShortName>sample string 31</ShortName>
  <SpecifyCostCentre>true</SpecifyCostCentre>
  <SpecifyCostUnit>true</SpecifyCostUnit>
  <SpecifySubAdmin>true</SpecifySubAdmin>
  <StartBalance>35</StartBalance>
  <SubAdmin1>sample string 36</SubAdmin1>
  <SubAdmin2>sample string 37</SubAdmin2>
  <SubAdmin3>sample string 38</SubAdmin3>
  <SubTotalLevel>39</SubTotalLevel>
  <VatBookType>Default</VatBookType>
  <VatCodeId>1</VatCodeId>
  <VatScenarioId>1</VatScenarioId>
  <VatType>Goods</VatType>
</Account>